<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Ad;
use App\Models\Admin;
use App\Models\Building;
use App\Models\BuildingDescription;
use App\Models\Category;
use App\Models\City;
use App\Models\Client;
use App\Models\Country;
use App\Models\Hiring;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;
class HiringController extends MasterController
{
    public function __construct(Hiring $model)
    {
        $this->model = $model;
        $this->route = 'hiring';
        $this->module_name         = 'قائمة التأجيرات';
        $this->single_module_name  = 'تأجير';
        $this->index_fields        = ['اسم المستأجر' => 'name','رقم الجوال' => 'phone','العنوان' => 'address'];
        $this->create_fields        = ['اسم المستأجر' => 'name','رقم الجوال' => 'phone','العنوان' => 'address'];
        $this->update_fields        = ['اسم المستأجر' => 'name','رقم الجوال' => 'phone','العنوان' => 'address'];
        parent::__construct();
    }


    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['name' => 'required', 'phone' => 'required','address' => 'required','start_period','end_period'];
        return ['name' => 'required', 'phone' => 'required','address' => 'required'];
    }


    public function store(Request $request) {
        $this->validate($request, $this->validation_func(1));
        $start_period=Carbon::parse(request('start_period'));
        $end_period=Carbon::parse(request('end_period'));
        $hiring=new Hiring();
        $hiring->add_by=request('add_by');
        $hiring->phone=request('phone');
        $hiring->name=request('name');
        $hiring->address=request('address');
        if(request('flat_id')=='' || request('flat_id')==null){
            $hiring->building_id=request('building_id');
        }else{
            $hiring->flat_id=request('flat_id');
        }
        $hiring->start_period=$start_period;
        $hiring->end_period=$end_period;
        $hiring->save();
        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }
    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func(2,$id));
        $hiring=$this->model->find($id);
        $hiring->phone=request('phone');
        $hiring->name=request('name');
        $hiring->address=request('address');
        if(request('flat_id')=='' || request('flat_id')==null){
            $hiring->building_id=request('building_id');
        }else{
            $hiring->flat_id=request('flat_id');
        }
        $start_period=Carbon::parse(request('start_period'));
        $end_period=Carbon::parse(request('end_period'));
        $hiring->start_period=$start_period;
        $hiring->end_period=$end_period;
        $hiring->update();

        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }



}
