<?php

namespace App\Http\Controllers\Api;

use App\Models\Favorite;
use App\Models\Order;
use App\Models\Gift;
use App\Models\GiftDescription;
use App\Models\CityDescription;
use App\Models\City;
use App\User;
use Validator;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class FavouriteController extends Controller
{

    public function favourite_orders($lang, Request $request)
    {
        if (!$request->user_id) {
            return response()->json(['value' => false, 'msg' => 'user_id not found']);
        }
        $order_id = Favorite::where(['user_id' => $request->user_id])->pluck('order_id');

        $orders = Order::whereIn('id', $order_id)->get();


        $data = [];
        foreach ($orders as $order) {
            $arr['id'] = (string)$order->id;
            if ($order->poor_id == null) {
                $arr['poor_id'] = "";
            } else {
                $arr['poor_id'] = (string)$order->poor_id;
            }
            $poor = User::where('id', $order->poor_id)->first();
            $arr['poor_name'] = $poor->name;
            $arr['poor_mobile'] = $poor->mobile;
            $city = City::where('id', $poor->city_id)->first();
            if ($lang == 'ar') {
                $arr['poor_city'] = CityDescription::where(['city_id' => $city->id, 'language_id' => 1])->value('name');
            } elseif ($lang == 'en') {
                $arr['poor_city'] = CityDescription::where(['city_id' => $city->id, 'language_id' => 2])->value('name');
            }
            if ($order->rich_id == null) {
                $arr['rich_id'] = "";
            } else {
                $arr['rich_id'] = (string)$order->rich_id;
            }
            $arr['gift_id'] = (string)$order->gift_id;
            if ($lang == 'ar') {
                $arr['gift_name'] = GiftDescription::where(['gift_id' => $order->gift_id, 'language_id' => 1])->value('name');
            } elseif ($lang == 'en') {
                $arr['gift_name'] = GiftDescription::where(['gift_id' => $order->gift_id, 'language_id' => 2])->value('name');

            }
            $image = Gift::where(['id' => $order->gift_id])->value('image');
            $arr['gift_image'] = asset('images/gifts/' . $image);

            $arr['description'] = $order->description;
            if ($order->poor_confirm == null) {
                $arr['poor_confirm'] = "";
            } else {
                $arr['poor_confirm'] = $order->poor_confirm;
            }
            if ($order->poor_confirm == null) {
                $arr['rich_confirm'] = "";
            } else {
                $arr['rich_confirm'] = $order->rich_confirm;
            }


            //favourite =  true or false

            if ($request->user_id) {

                $found = Favorite::where(['user_id' => $request->user_id, 'order_id' => $order->id])->first();

                if ($found) {
                    $arr['favorite'] = true;
                } else {
                    $arr['favorite'] = false;
                }
            } else {
                $arr['favorite'] = false;
            }


            $data[] = $arr;
        }

        return response()->json(['value' => true, 'data' => $data]);


    }

    public function favourite(Request $request)
    {

        if (!$request->user_id) {
            return response()->json(['value' => false, 'msg' => 'user_id not found']);
        } elseif (!$request->order_id) {
            return response()->json(['value' => false, 'msg' => 'order_id not found']);
        }

        $favourit = Favorite::where(['user_id' => $request->user_id, 'order_id' => $request->order_id])->first();

        if ($favourit) {
            $favourit->delete();
            return response()->json(['value' => true, 'favorite' => false]);

        } else {
            $favourit_insert = new Favorite;
            $favourit_insert->user_id = $request->user_id;
            $favourit_insert->order_id = $request->order_id;
            $favourit_insert->save();

            return response()->json(['value' => true, 'favorite' => true]);
        }


    }

}
