<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Building extends Model
{
    public function scopeActive($query)
    {
        $query->where('status','active');
    }
    public function activate()
    {
        $var = route('active_building',['id'=>$this->id]);
        $token = csrf_token();
        if($this->status=='active') {
            return "<form style='margin-top: 10px' method='POST' action='$var' class='form-horizontal'>
                <input type='hidden' name='_token' value='$token'>
                <button type='submit' class='btn btn-danger btn-rounded waves-effect waves-light'>
                <span class='btn-label'><i class='fa fa-times'></i></span>
                الغاء التفعيل</button>
                
            </form>";
        }
        return "<form style='margin-top: 10px' method='POST' action='$var' class='form'>
                <input type='hidden' name='_token' value='$token'>
                <button type='submit' class='btn btn-success btn-rounded waves-effect waves-light'>
                <span class='btn-label'><i class='fa fa-check'></i></span>
                تفعيل</button>
                
            </form>";
    }
    protected $fillable = [
        'add_by', 'client_id', 'status'
    ];
    public function admin()
    {
        return $this->belongsTo(Admin::class, 'add_by', 'id');
    }
    public function client()
    {
        return $this->belongsTo(Client::class);
    }
    public function building_type()
    {
        return $this->belongsTo(BuildingType::class);
    }
    public function building_status()
    {
        return $this->belongsTo(BuildingStatus::class);
    }
    public function hiring_type()
    {
        return $this->belongsTo(HiringType::class);
    }
    public function district()
    {
        return $this->belongsTo(District::class);
    }
    public function building_images()
    {
        return $this->hasMany(BuildingImage::class);
    }
    public function flats()
    {
        return $this->hasMany(Flat::class);
    }
    public function comments()
    {
        return $this->hasMany(Comment::class);
    }
    public function building_descriptions()
    {
        return $this->hasMany(BuildingDescription::class);
    }

}
