<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateHiringsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hirings', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('add_by')->unsigned()->nullable();
            $table->foreign('add_by')->references('id')->on('admins')->onDelete('cascade');
            $table->integer('flat_id')->unsigned()->nullable();
            $table->foreign('flat_id')->references('id')->on('flats')->onDelete('cascade');
            $table->integer('building_id')->unsigned()->nullable();
            $table->foreign('building_id')->references('id')->on('buildings')->onDelete('cascade');
            // المستاجر
            $table->string('name')->nullable();
            $table->string('address')->nullable();
            $table->string('phone')->nullable();
            //مدة الايجار
            $table->date('start_period')->nullable();
            $table->date('end_period')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hirings');
    }
}
