@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    {{--<link href="{{asset('panel/assets/plugins/dropzone/dropzone.css')}}" rel="stylesheet" type="text/css" />--}}
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet" />
@stop
@section('content')
<div class="content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="card-box">
                <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                        تعديل بيانات {{ $single_module_name }}
                    </b>
                    <hr>
                </h4>
                {!! Form::model($row, ['method'=>'patch','name'=>'update', 'files'=>true, 'route'=>[$route.'.update', $row->id], 'class' => 'form-horizontal form-row-seperated']) !!}
                    {!! Form::hidden('id', $row->id) !!}
                    <div class="row">
                        <div class="col-md-12">
                            @foreach($languages as $language)
                                <div>
                                    <label for="title">اسم المبنى بـ{{$language->name}}</label>
                                    @php
                                        $name=\App\Models\BuildingDescription::where(['language_id'=>$language->id,'building_id'=>$row->id])->value('name');
                                        $address=\App\Models\BuildingDescription::where(['language_id'=>$language->id,'building_id'=>$row->id])->value('address');
                                        $note=\App\Models\BuildingDescription::where(['language_id'=>$language->id,'building_id'=>$row->id])->value('note');
                                    @endphp
                                    {!! Form::text('name_'.$language->label, $name, ['class'=>'form-control','required']) !!}
                                    @if ($errors->has('name_'.$language->label))
                                        <small class="text-danger">{{ $errors->first('name_'.$language->label) }}</small>
                                    @endif
                                </div>
                                <div>
                                    <label for="title">العنوان التفصيلى بـ{{$language->name}}</label>
                                    {!! Form::text('address_'.$language->label, $address, ['class'=>'form-control']) !!}
                                    @if ($errors->has('address_'.$language->label))
                                        <small class="text-danger">{{ $errors->first('address_'.$language->label) }}</small>
                                    @endif
                                </div>
                                <div>
                                    <label for="title">تفاصيل أخرى بـ{{$language->name}}</label>
                                    {!! Form::textarea('note_'.$language->label, $note , ['class'=>'form-control summernote']) !!}
                                    @if ($errors->has('note_'.$language->label))
                                        <small class="text-danger">{{ $errors->first('note_'.$language->label) }}</small>
                                    @endif
                                </div>
                            @endforeach
                                <div class="form-group">
                                    <label class="control-label">صاحب العقار</label>
                                    {{ Form::select('client_id', $clients, $row->client_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('client_id'))
                                        <small class="text-danger">{{ $errors->first('client_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">نوع العقار</label>
                                    {{ Form::select('building_type_id', $building_types, $row->building_type_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('building_type_id'))
                                        <small class="text-danger">{{ $errors->first('building_type_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">حالة العقار</label>
                                    {{ Form::select('building_status_id', $building_statuses, $row->building_status_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('building_status_id'))
                                        <small class="text-danger">{{ $errors->first('building_status_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">نوع الايجار</label>
                                    {{ Form::select('hiring_type_id', $hiring_types, $row->hiring_type_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('hiring_type_id'))
                                        <small class="text-danger">{{ $errors->first('hiring_type_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">المنطقة التابع لها</label>
                                    {{ Form::select('district_id', $districts, $row->district_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('district_id'))
                                        <small class="text-danger">{{ $errors->first('district_id') }}</small>
                                    @endif
                                </div>
                                <div>
                                    <div class="card-box">
                                        <h4 class="m-t-0 m-b-20 header-title"><b>موقع العقار</b></h4>
                                        <div id="map" class="gmaps" data-lat="{{$row->lat}}" data-long="{{$row->long}}"></div>
                                        <input name="lat" type="hidden" id="lat" readonly="yes"><br>
                                        <input name="long" type="hidden" id="lng" readonly="yes">
                                    </div>
                                </div>
                                <div>
                                    <label for="title">سعر الايجار</label>
                                    {!! Form::number('rent', $row->rent, ['class'=>'form-control']) !!}
                                    @if ($errors->has('rent'))
                                        <small class="text-danger">{{ $errors->first('rent') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div class="form-group">
                                    <div class="fileupload btn btn-purple waves-effect waves-light">
                                        <span><i class="ion-upload m-r-12"></i>صور المبنى</span>
                                        <input class="upload" type="file" accept="image/*" name="images[]" multiple />
                                        @if ($errors->has('images'))
                                            <small class="text-danger">{{ $errors->first('images') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <br>

                                <div class="form-group">
                                <label class="control-label">الحالة</label>
                                {{ Form::select('status', $status, $row->status, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="control-label col-md-push-1">
                            <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                تعديل
                            </button>
                        </div>
                    </div>
                {!! Form::close() !!}
            </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
    <!-- google maps api -->
    <!-- main file -->
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>
    <script>
        jQuery(document).ready(function(){
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>

    <script>
        //Set up some of our variables.
        var lat = $("#map").attr("data-lat");
        var long = $("#map").attr("data-long");

        var map; //Will contain map object.
        var marker = false; ////Has the user plotted their location marker?
        //Function called to initialize / create the map.
        //This is called when the page has loaded.
        function initMap() {
            //The center location of our map.
            var centerOfMap = new google.maps.LatLng(lat,long);
            //Map options.
            var options = {
                center: centerOfMap, //Set center.
                zoom: 14 //The zoom value.
            };
            //Create the map object.
            map = new google.maps.Map(document.getElementById('map'), options);
            //Listen for any clicks on the map.
            google.maps.event.addListener(map, 'click', function(event) {
                //Get the location that the user clicked.
                var clickedLocation = event.latLng;
                //If the marker hasn't been added.
                if(marker === false){
                    //Create the marker.
                    marker = new google.maps.Marker({
                        position: clickedLocation,
                        map: map,
                        draggable: true //make it draggable
                    });
                    //Listen for drag events!
                    google.maps.event.addListener(marker, 'dragend', function(event){
                        markerLocation();
                    });
                } else{
                    //Marker has already been added, so just change its location.
                    marker.setPosition(clickedLocation);
                }
                //Get the marker's location.
                markerLocation();
            });
        }
        //This function will get the marker's current location and then add the lat/long
        //values to our textfields so that we can save the location.
        function markerLocation(){
            //Get location.
            var currentLocation = marker.getPosition();
            //Add lat and lng values to a field that we can save.
            document.getElementById('lat').value = currentLocation.lat(); //latitude
            document.getElementById('lng').value = currentLocation.lng(); //longitude
        }
        google.maps.event.addDomListener(window, 'load', initMap);
    </script>
    {{--<script>--}}
    {{--function initMap() {--}}
    {{--var uluru = {lat:24.665658, lng: 46.7440368};--}}
    {{--var map = new google.maps.Map(document.getElementById('map'), {--}}
    {{--zoom: 14,--}}
    {{--center: uluru--}}
    {{--});--}}
    {{--var marker = new google.maps.Marker({--}}
    {{--position: uluru,--}}
    {{--map: map--}}
    {{--});--}}
    {{--}--}}
    {{--</script>--}}
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKhmEeCCFWkzxpDjA7QKjDu4zdLLoqYVw&callback=initMap">
    </script>
@stop