@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <style>
        div .col-md-8 {
            width: 320px;
            padding: 10px;
            border: 5px solid gray;
            margin: 0;
        }
    </style>
    <link rel="stylesheet" href="{{asset('panel/assets/plugins/magnific-popup/css/magnific-popup.css')}}"/>
@stop
@section('content')
<div class="content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="card-box">
                <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                        عرض بيانات {{ $single_module_name }}
                    </b>
                    <hr>
                </h4>
                    <div class="row">
                            @foreach($languages as $language)
                                <div class="row">
                                    @php
                                        $name=\App\Models\BuildingDescription::where(['language_id'=>$language->id,'building_id'=>$row->id])->value('name');
                                        $address=\App\Models\BuildingDescription::where(['language_id'=>$language->id,'building_id'=>$row->id])->value('address');
                                        $note=\App\Models\BuildingDescription::where(['language_id'=>$language->id,'building_id'=>$row->id])->value('note');
                                        $images=\App\Models\BuildingImage::where('building_id',$row->id)->get();
                                    @endphp
                                    <h4 class="col-md-4">اسم المبنى بـ:{{$language->name}}</h4>
                                    <h5 class="col-md-8">{!! $name !!}</h5>
                                </div>
                        <br>
                                <div class="row">
                                    <h4 class="col-md-4">عنوان المبنى بـ:{{$language->name}}</h4>
                                    <h5 class="col-md-8">{!! $address !!}</h5>
                                </div>
                            <br>

                                <div class="row">
                                    <h4 class="col-md-4">تفاصيل أخرى بـ:{{$language->name}}</h4>
                                    <h5 class="col-md-8">{!! $note !!}</h5>
                                </div>
                            <br>

                        @endforeach
                                <div class="row">
                                    <h4 class="col-md-4">صاحب العقار:</h4>
                                    <h5 class="col-md-8">{!! $row->client->name !!}</h5>
                                </div>
                                <br>

                                <div class="row">
                                    <h4 class="col-md-4">نوع العقار:</h4>
                                    <h5 class="col-md-8">{!! \App\Models\BuildingTypeDescription::where(['language_id'=>1,'building_type_id'=>$row->building_type_id])->value('name') !!}</h5>
                                </div>
                                <br>

                                <div class="row">
                                    <h4 class="col-md-4">حالة العقار:</h4>
                                    <h5 class="col-md-8">
                                        {!! \App\Models\BuildingStatusDescription::where(['language_id'=>1,'building_status_id'=>$row->building_status_id])->value('name') !!}
                                    </h5>
                                </div>
                                <br>

                                <div class="row">
                                    <h4 class="col-md-4">نوع الايجار:</h4>
                                    <h5 class="col-md-8">
                                        {!! \App\Models\HiringTypeDescription::where(['language_id'=>1,'hiring_type_id'=>$row->hiring_type_id])->value('name') !!}
                                    </h5>
                                </div>
                                <br>

                                <div class="row">
                                    <h4 class="col-md-4">المنطقة التابع لها:</h4>
                                    <h5 class="col-md-8">
                                        {!! \App\Models\DistrictDescription::where(['language_id'=>1,'district_id'=>$row->district_id])->value('name') !!}
                                    </h5>
                                </div>
                                <br>

                                <div>
                                    <div class="card-box">
                                        <h4 class="m-t-0 m-b-20 header-title"><b>موقع العقار:</b></h4>
                                        <div id="map" class="gmaps" data-lat="{{$row->lat}}" data-long="{{$row->long}}"></div>
                                        <input name="lat" type="hidden" id="lat" readonly="yes"><br>
                                        <input name="long" type="hidden" id="lng" readonly="yes">
                                    </div>
                                </div>
                                <br>

                                <div  class="row">
                                    <h4 class="col-md-4">سعر الايجار:</h4>
                                    <h5 class="col-md-8">
                                        {!! $row->rent !!}ريال سعودى
                                    </h5>
                                </div>
                                <br>
                                <div class="row port center-block">
                                    <h3>صور المبنى</h3>
                                    <div class="portfolioContainer">
                                        @foreach($images as $image)
                                        <div class="col-sm-6 col-lg-3 col-md-4">
                                            <div class="gal-detail thumb">
                                                <a href="{{asset('images/building/'.$image->name)}}" class="image-popup" title="Screenshot-1">
                                                    <img src="{{asset('images/building/'.$image->name)}}" class="thumb-img" alt="work-thumbnail">
                                                </a>
                                            </div>
                                        </div>
                                        @endforeach
                                    </div>
                                </div>
                                <br>
                    </div>
                    <div class="row">
                        <div class="col-md-push-1">
                            <a href="{{route($route.'.edit',$row->id)}}">
                                <button type="button" class="btn btn-info btn-custom waves-effect waves-light">تعديــــــــــــــــــل</button>
                            </a>
                        </div>
                    </div>
            </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
    <!-- google maps api -->
    <script>
    function initMap() {
    var lat = $("#map").attr("data-lat");
    var long = $("#map").attr("data-long");
    var uluru = {lat:parseInt(lat), lng: parseInt(long)};
    var map = new google.maps.Map(document.getElementById('map'), {
    zoom: 10,
    center: uluru
    });
    var marker = new google.maps.Marker({
    position: uluru,
    map: map
    });
    }
    </script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKhmEeCCFWkzxpDjA7QKjDu4zdLLoqYVw&callback=initMap">
    </script>

    <script type="text/javascript" src="{{asset('panel/assets/plugins/isotope/js/isotope.pkgd.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('panel/assets/plugins/magnific-popup/js/jquery.magnific-popup.min.js')}}"></script>

    <script type="text/javascript">
        $(window).load(function(){
            var $container = $('.portfolioContainer');
            $container.isotope({
                filter: '*',
                animationOptions: {
                    duration: 750,
                    easing: 'linear',
                    queue: false
                }
            });

            $('.portfolioFilter a').click(function(){
                $('.portfolioFilter .current').removeClass('current');
                $(this).addClass('current');

                var selector = $(this).attr('data-filter');
                $container.isotope({
                    filter: selector,
                    animationOptions: {
                        duration: 750,
                        easing: 'linear',
                        queue: false
                    }
                });
                return false;
            });
        });
        $(document).ready(function() {
            $('.image-popup').magnificPopup({
                type: 'image',
                closeOnContentClick: true,
                mainClass: 'mfp-fade',
                gallery: {
                    enabled: true,
                    navigateByImgClick: true,
                    preload: [0,1] // Will preload 0 - before current, and 1 after the current image
                }
            });
        });
    </script>
@stop