@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css')}}" rel="stylesheet">
    <link href="{{asset('panel/assets/plugins/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">
@endsection
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                إضافة {{ $single_module_name }}
                            </b>
                            <hr>
                        </h4>
                        {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>[$route.'.store'], 'class' => 'form-row-seperated add_ads_form']) !!}
                        {!! Form::hidden('add_by', Auth::user()->id) !!}
                        <div class="row">
                            <div class="col-md-12">
                                @foreach($create_fields as $labels => $fields)
                                    @php $s1=$fields; $s2="id"; @endphp
                                    @if(substr($s1, -strlen($s2))==$s2)
                                        <div class="form-group{{ $errors->has($fields) ? ' has-error' : '' }}">
                                            <label for="title">{{ $labels }}</label>
                                            {{ Form::select($fields, $type, null, array('class' => 'form-control')) }}

                                        </div>
                                    @else
                                        <div class="form-group{{ $errors->has($fields) ? ' has-error' : '' }}">
                                            <label for="title">{{ $labels }}</label>
                                            {!! Form::text($fields, null, ['class'=>'form-control']) !!}

                                        </div>
                                    @endif
                                @endforeach
                                <div class="form-group">
                                    <label class="control-label"> المبنى </label>
                                    {{ Form::select('building_id', $not_hiring_buildings_array, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true,'id'=>'building')) }}
                                    @if ($errors->has('building_id'))
                                        <small class="text-danger">{{ $errors->first('building_id') }}</small>
                                    @endif
                                </div>
                                    @php
                                        $hiring=\App\Models\Hiring::where('building_id','!=',null)->pluck('building_id');
                                        $building=\App\Models\Building::where(['type'=>'owner'])->whereNotIn('id',$hiring)->first();
                                        $building_name=\App\Models\BuildingDescription::where(['building_id'=>$building->id,'language_id'=>1])->value('name');
                                        if($building->building_type_id == 2){
                                            $hiring=\App\Models\Hiring::where('flat_id','!=',null)->pluck('flat_id');
                                            $flats = \App\Models\Flat::where('building_id',$building->id)->whereNotIn('id',$hiring)->get();
                                        }else{
                                            $flats=null;
                                        }
                                    @endphp
                                <div class="form-group">
                                    <label class="control-label"> الشقة </label>
                                    <select id="flat" name="flat_id" class="form-control">
                                        @if($flats)
                                            @foreach($flats as $flat)
                                                <option value="{{$flat->id}}">{{$flat->name}}</option>
                                            @endforeach
                                        @else
                                            <option value="" selected disabled>بدون</option>
                                        @endif
                                    </select>
                                    @if ($errors->has('flat_id'))
                                        <small class="text-danger">{{ $errors->first('flat_id') }}</small>
                                    @endif
                                </div>

                                <div class="form-group">
                                    <label class="control-label">موعد بداية الاشتراك</label>
                                    <div class="input-group">
                                        <input required type="text" name="start_period" class="form-control" placeholder="mm/dd/yyyy" id="start_period">
                                        <span class="input-group-addon bg-custom b-0 text-white"><i class="icon-calender"></i></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label">موعد نهاية الاشتراك</label>
                                    <div class="input-group">
                                        <input required type="text" name="end_period" class="form-control" placeholder="mm/dd/yyyy" id="end_period">
                                        <span class="input-group-addon bg-custom b-0 text-white"><i class="icon-calender"></i></span>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    إضافة
                                </button>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function(){
            $( "#start_period" ).datepicker();
            $( "#end_period" ).datepicker();
            $('#building').change(function(e){
                e.preventDefault();
                $.ajax({
                    url:"{{url('admin/flat/dropdown')}}/"+$(this).val(),
                    type:"GET",
                    dataType:"json",
                    success:function(data){
                        $('#flat').empty();
                        $.each(data, function(index, flat) {
                            $('#flat').append("<option value='"+ flat.id +"'>" + flat.name + "</option>");
                        });
                    }
                });
            });
        });
    </script>
    <script src="{{ url('panel/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{url('panel/assets/plugins/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
    <script src="{{url('panel/assets/pages/jquery.form-pickers.init.js')}}"></script>


@stop