@extends('web.layouts.app')
@section('title','ثمار التطور')
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>من نحن </h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">{{trans('web.home')}}</a> <i class="fa fa-angle-left"></i> {{trans('web.about')}}  </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">{{trans('web.login')}}</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">{{trans('web.logout')}}</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">{{trans('web.logout')}}</a></li>
            @endif
        </ul>
    </div>
@stop
@section('content')
    @if (session()->has('lang'))
        @if (session()->get('lang') == 'en')
            <?php $language_id=2;?>
        @else
            <?php $language_id=1;?>
        @endif
    @else
        <?php $language_id=1;?>
    @endif
<div class="about-us page-about">
    <div class="container">
         <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>{{trans('web.about')}}</span></h3>
        </div><!-- title -->
        <div class="col-md-7">
            {!! App\Models\SettingDescription::where(['setting_id'=>1,'language_id'=>$language_id])->value('about') !!}
        </div><!-- md6 -->
        <div class="col-md-5">
            <div class="img">
                <img src="{{asset('web/images/about.jpg')}}" class="wow fadeIn"  data-wow-duration="1.25s" data-wow-delay=".5s">
            </div><!-- img -->
        </div><!-- col-md-6 -->
    </div><!-- container -->
</div><!-- about -->
<!-- ======================== -->
    <!-- end about -->
    <!-- start contact -->
<!-- ======================== -->
<div id="contact" class="contact-section contact-page">
    <img src="{{asset('web/images/contact.png')}}" class="img-center">
    <div class="container">
        <div class="title-section wow f+adeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>{{trans('web.contact')}}</span></h3>
        </div><!-- title -->
        <div class="col-md-7">
            <div class="text">
                {{trans('web.contact_form')}}
            </div><!-- text -->
            @php
                $face=App\Models\Social::find(1);
                $inst=App\Models\Social::find(2);
                $twitter=App\Models\Social::find(3);
            @endphp
            <div class="social-media">
                <p><a target="_blank" href="{{$face->link}}"><i class="fa fa-facebook"></i></a></p>
                <p><a target="_blank" href="{{$twitter->link}}"><i class="fa fa-twitter"></i></a></p>
                {{--<p><a href="#"><i class="fa fa-google-plus"></i></a></p>--}}
                <p><a target="_blank" href="{{$inst->link}}"><i class="fa fa-instagram"></i></a></p>
            </div><!-- social-media -->
        </div><!-- md-6 -->
        <div class="col-md-5">
            {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>['contact']]) !!}
            <input name="name" type="text" placeholder="{{trans('web.name')}}">
            <input name="mobile" type="tel" placeholder="{{trans('web.mobile')}}">
            <textarea name="content" placeholder="{{trans('web.message')}}"></textarea>
            <button type="submit">{{trans('web.send')}}</button>
            {!! Form::close() !!}
        </div><!-- md-6 -->
    </div><!-- container -->
</div><!-- contact-section -->
@stop