@extends('web.layouts.app')
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>{{trans('web.bank_accounts')}}</h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">{{trans('web.home')}}</a> <i class="fa fa-angle-left"></i>{{trans('web.bank_accounts')}}</h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">{{trans('web.login')}}</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">{{trans('web.logout')}}</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">{{trans('web.logout')}}</a></li>
            @endif
        </ul>
    </div>
@stop
@if (session()->has('lang'))
    @if (session()->get('lang') == 'en')
        <?php $language_id=2;?>
    @else
        <?php $language_id=1;?>
    @endif
@else
    <?php $language_id=1;?>
@endif
@section('content')
<div class="container">
    <div class="bank-account">
         <div class="img" data-parallax="scroll" data-image-src="{{asset('web/images/image.jpg')}}" >
         </div><!-- img -->
         <div class="clearfix"></div>
         <br>
         <br>
         <br>
         <br>
        @foreach($banks as $bank)
            <div class="col-md-4">
                <div class="inner">
                    <img src="{{asset('images/bank/'.$bank->logo)}}">
                    <h3>{{App\Models\BankDescription::where(['language_id' => $language_id, 'bank_id' => $bank->id])->value('name')}}</h3>
                    <p>مؤسسة موقع ثمار التطور</p>
                    <p>{{trans('web.account_number')}}{{$bank->number}}</p>
                    {{--<h4>ارسال رقم الحساب لجوالك  <span>sms</span></h4>--}}
                </div><!-- inner -->
            </div><!-- md-4 -->
        @endforeach
<div class="clearfix"></div>

        
        <div class="col-md-4"></div>

        <div class="col-md-4">
             <center>
                 {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>['bill'], 'class' => 'form-row-seperated month-selected' ]) !!}
                     <div class="form-group upload-img">
                         <div class="init">
                             <input required name="bill" type="file">
                             <h3>
                                 <i class="fa fa-upload"></i>
                                 {{trans('web.upload_image')}}</h3>
                         </div><!-- init -->
                     </div><!-- upload -->
                     <br>
                     <div class="form-group">
                         <select required name="month_id">
                             @foreach($months as $month)
                                 <option value="{{$month->id}}">{{App\Models\MonthDescription::where(['month_id' => $month->id, 'language_id' => $language_id])->value('name')}}</option>
                             @endforeach
                         </select>
                     </div>

                     <button type="submit">{{trans('web.send')}}</button>
                 {!! Form::close() !!}
                </center>

     </div><!-- md-4 -->

        <div class="col-md-4"></div>



    </div><!-- bank-account -->
</div><!-- container -->
         <br>
         <br>
<div class="clearfix"></div>
@endsection
