<div class="logo_nav nav-1">
    <div class="container">
        <div class="logo col-md-4">
            <a href="<?php echo e(route('index')); ?>"><img src="<?php echo e(asset('web/images/logo.png')); ?>"></a>
        </div><!-- logo -->

        <div class="col-sm-6">
            <div class="nav">
                <ul class="navbar_items">
                    <li class="<?php echo e(Request::path() == '/' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(route('index')); ?>"><?php echo e(trans('web.home')); ?></a></li>
                    <?php if(Auth::check()): ?>
                        <?php if(Auth::user()->type=='union'): ?>
                            <li class="<?php echo e(Request::path() == '/bank_account' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(route('bank_account')); ?>"><?php echo e(trans('web.bank_account')); ?></a></li>
                            <li class="<?php echo e(Request::path() == '/union' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(route('union')); ?>"><?php echo e(trans('web.union')); ?></a></li>
                        <?php else: ?>
                            
                            <li class="<?php echo e(Request::path() == '/#contact' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(url('/#contact')); ?>"><?php echo e(trans('web.contact')); ?></a></li>
                        <?php endif; ?>
                    <?php elseif(Auth::guard('client')->check()): ?>
                        <li class="<?php echo e(Request::path() == '/my_buildings' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(route('my_buildings')); ?>"><?php echo e(trans('web.my_buildings')); ?></a></li>
                        <li class="<?php echo e(Request::path() == '/#contact' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(url('/#contact')); ?>"><?php echo e(trans('web.contact')); ?></a></li>
                    <?php else: ?>
                        <li class="<?php echo e(Request::path() == '/buildings' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(route('buildings')); ?>"><?php echo e(trans('web.buildings')); ?></a></li>
                        <li class="<?php echo e(Request::path() == '/#about' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(url('/#about')); ?>"><?php echo e(trans('web.about')); ?></a></li>
                        <li class="<?php echo e(Request::path() == '/#contact' ? 'current-page-item' : ''); ?>"><a href="<?php echo e(url('/#contact')); ?>"><?php echo e(trans('web.contact')); ?></a></li>
                    <?php endif; ?>
                    <li class="search-click"> <i class="fa fa-search"></i></li>
                </ul><!-- navbar-items -->
        <?php
            $districts_array = [];
            $districts=App\Models\District::all();
            foreach ( $districts as $district) {
                $district_name=App\Models\DistrictDescription::where(['language_id'=>$language_id,'district_id'=>$district->id])->value('name');
                $districts_array[$district->id] = $district_name;
            }
            $building_statuses_array = [];
            $building_statuses=App\Models\BuildingStatus::all();
            foreach ( $building_statuses as $building) {
                $building_status_name=App\Models\BuildingStatusDescription::where(['language_id'=>$language_id,'building_status_id'=>$building->id])->value('name');
                $building_statuses_array[$building->id] = $building_status_name;
            }
            $building_types_array = [];
            $building_types=App\Models\BuildingType::all();
            foreach ( $building_types as $building) {
                $building_type_name=App\Models\BuildingTypeDescription::where(['language_id'=>$language_id,'building_type_id'=>$building->id])->value('name');
                $building_types_array[$building->id] = $building_type_name;
            }
            $districts=$districts_array;
            $building_statuses= $building_statuses_array;
            $building_types=$building_types_array;
        ?>
                <div class="search-box">

                    <h1>x</h1>

                    <?php echo Form::open(['method'=>'post','route'=>['search']]); ?>

                        <div class="form-group">
                            
                            <?php echo e(Form::select('building_type_id', $building_types, null)); ?>

                        </div>
                        <div class="form-group">
                            
                            <?php echo e(Form::select('building_status_id', $building_statuses, null)); ?>

                        </div>
                        
                            
                            
                        
                        <div class="form-group">
                            
                            <?php echo e(Form::select('district_id', $districts, null,['id'=>'district'])); ?>

                        </div>
                        <button type="submit"> <?php echo e(trans('web.search')); ?> </button>
                    <?php echo Form::close(); ?>

                    <script>
                        $(document).ready(function(){
                            $('#city').change(function(e){
                                e.preventDefault();
                                $.ajax({
                                    url:"<?php echo e(url('district/dropdown')); ?>/"+$(this).val(),
                                    type:"GET",
                                    dataType:"json",
                                    success:function(data){
                                        $('#district').empty();
                                        $.each(data, function(index, district) {
                                            $('#district').append("<option value='"+ district.id +"'>" + district.name + "</option>");
                                        });
                                    }
                                });
                            });
                        });
                    </script>
                </div>


            </div><!-- nav -->
        </div><!-- sm-6 -->

        <div class="col-sm-2">
            <div class="lang">
                <?php if(session()->has('lang')): ?>
                    <?php if(session()->get('lang') == "ar"): ?>
                        <a href="<?php echo e(url('lang/en')); ?>" class="en-lnag">ENGLISH</a>
                    <?php else: ?>
                        <a href="<?php echo e(url('lang/ar')); ?>" class="ar-lang">عربي</a>
                    <?php endif; ?>
                <?php else: ?>
                    <a href="<?php echo e(url('lang/en')); ?>" class="en-lnag">ENGLISH</a>
                <?php endif; ?>
            </div><!-- lang -->
        </div>


        <div id="nav-icon1"  class="btn-responsive btn-r" style="display: none;">
            <span></span>
            <span></span>
            <span></span>
        </div>


    </div><!-- container -->
</div><!-- logo_nav -->

<div class="logo_nav nav-2">
    <div class="container">
        <div class="logo col-md-3 col-xs-7">
            <a href="<?php echo e(route('index')); ?>"><img src="<?php echo e(asset('web/images/logo.png')); ?>"></a>
        </div><!-- logo -->

        <div class="col-sx-2 col-xs-5 icon-fixed-menu">

            <div id="nav-icon1"  class="btn-responsive">
                <span></span>
                <span></span>
                <span></span>
            </div>

        </div><!-- right -->
    </div><!-- container -->
</div><!-- logo_nav -->

<div id="myNav" class="overlay">
    <div class="overlay-content">
        <ul class="list-unstyled">
            <li class="current-page-item"><a href="<?php echo e(route('index')); ?>"><?php echo e(trans('web.home')); ?></a></li>
            <li><a href="<?php echo e(route('buildings')); ?>"> <?php echo e(trans('web.buildings')); ?></a></li>
            <li>
                <a href="<?php echo e(route('about')); ?>"> <?php echo e(trans('web.about')); ?></a>
                
                    
                    
                    
                    
                
            </li>
            <li><a href="<?php echo e(url('/#contact')); ?>"> <?php echo e(trans('web.contact')); ?> </a></li>
        </ul>
    </div>
</div>