
<?php $__env->startSection('title','ثمار التطور'); ?>
<?php if(session()->has('lang')): ?>
    <?php if(session()->get('lang') == 'en'): ?>
        <?php $language_id=2;?>
    <?php else: ?>
        <?php $language_id=1;?>
    <?php endif; ?>
<?php else: ?>
    <?php $language_id=1;?>
<?php endif; ?>
<?php $__env->startSection('header'); ?>
    <div class="breadcramb" data-parallax="scroll" data-image-src="<?php echo e(asset('web/images/loading.jpg')); ?>">
        <div class="container">
            <h3>عقار</h3>
            <div class="overlay-breadcramb">
                <h4><a href="<?php echo e(route('index')); ?>"><?php echo e(trans('web.home')); ?></a> <i class="fa fa-angle-left"></i> <?php echo e(trans('web.building')); ?> </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            <?php if(!Auth::guard('client')->check() && !Auth::check()): ?>
                <li><a href="<?php echo e(route('login')); ?>"><?php echo e(trans('web.login')); ?></a></li>
                
            <?php elseif(Auth::user()): ?>
                
                <li><a href="<?php echo e(route('logout')); ?>"><?php echo e(trans('web.logout')); ?></a></li>
            <?php elseif(Auth::guard('client')): ?>
                
                <li><a href="<?php echo e(route('client.logout')); ?>"><?php echo e(trans('web.logout')); ?></a></li>
            <?php endif; ?>
        </ul>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <?php if($type=='building'): ?>
        <?php
            $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
            $images = App\Models\BuildingImage::where(['building_id' => $building->id])->get();
            $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
            $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => $language_id])->value('name');
            $note = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => $language_id])->value('note');
            $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => $language_id])->value('name');
            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => $language_id])->value('name');
            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => $language_id])->value('name');
            $hiring=App\Models\Hiring::where('building_id',$building->id)->first();
        ?>
    <?php else: ?>
        <?php
            $building_name = $building->name;
            $note = App\Models\BuildingDescription::where(['building_id' => $building->building->id, 'language_id' => $language_id])->value('note');
            $image = App\Models\BuildingImage::where(['building_id' => $building->building->id])->value('name');
            $images = App\Models\BuildingImage::where(['building_id' => $building->building->id])->get();
            $owner_name=App\Models\Client::where('id',$building->building->client_id)->value('name');
            $city_name = App\Models\CityDescription::where(['city_id' => $building->building->district->city_id, 'language_id' => $language_id])->value('name');
            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->building->district_id, 'language_id' => $language_id])->value('name');
            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building->building_status_id, 'language_id' => $language_id])->value('name');
            $hiring=App\Models\Hiring::where('flat_id',$building->id)->first();
        ?>
    <?php endif; ?>
    <div class="estates details-aqar">
        <div class="container">
            <div class="sliders">
                <div class="col-md-12">
                    <div class="inner">
                        <div class="img col-md-6">
                            <img src="<?php echo e(asset('images/building/'.$image)); ?>" style="height: auto; max-height: 500px">
                        </div><!-- img -->

                        <div class="inner-text col-md-6">
                            <h3 class="pull-right"><?php echo e($owner_name); ?></h3>
                            <a class="pull-left" data-toggle="tooltip" data-placement="left" title="مفضله">
                                <i class="fa fa-star"></i></a>
                            <br>
                            <div class="clearfix"></div>

                            <br>
                            <ul>
                                <li><i class="fa fa-building"></i> <?php echo e($building_name); ?></li>
                                <li><i class="fa fa-map-marker"></i> <?php echo e($city_name); ?>, <?php echo e($district_name); ?></li>
                                <li><i class="fa fa-facebook"></i> <?php echo e($status_name); ?></li>
                            </ul>

                            <br>
                            <br>
                            <h4><?php echo e(trans('web.details')); ?></h4>
                            <div><?php echo $note; ?></div>
                            <?php if($hiring): ?>

                                <h4><?php echo e(trans('web.start_hiring')); ?>:</h4><h5><?php echo e(\Carbon\Carbon::parse($hiring->start_period)->toDateString()); ?></h5>
                                <h4><?php echo e(trans('web.end_hiring')); ?>:</h4><h5><?php echo e(\Carbon\Carbon::parse($hiring->end_period)->toDateString()); ?></h5>
                                <h4><?php echo e(trans('web.rent')); ?>:</h4><h5><?php echo e($building->rent); ?></h5>
                            <?php endif; ?>


                        </div><!-- inner-text -->
                    </div><!-- inner -->


                </div><!-- col-md-4 -->
            </div><!-- slider -->


            <div class="clearfix"></div>
            <br>
            <br>
            <br>


            <div class="slider-with-lightbox">
                <?php $__currentLoopData = $images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="item">
                        <a class="fancybox" href="<?php echo e(asset('images/building/'.$image->name)); ?>" data-fancy-group="gallary"><img src="<?php echo e(asset('images/building/'.$image->name)); ?>"/></a>
                    </div><!-- item -->
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div><!-- slider-with-lightbox -->


        </div><!-- container -->
    </div><!-- estates -->
<?php $__env->stopSection(); ?>
<?php echo $__env->make('web.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>