//
//  registerViewController.swift
//  LastVersionOfThemar
//
//  Created by mohamed loves hassun and nasif on 5/31/18.
//  Copyright © 2018 mohamed loves hassun and nasif. All rights reserved.
//

import UIKit

class registerViewController: UIViewController {

    @IBOutlet weak var txtRePassword: TJTextField!
    @IBOutlet weak var txtPassword: TJTextField!
    @IBOutlet weak var txtPhone: TJTextField!
    @IBOutlet weak var txtUserName: TJTextField!
    
    var type:String!
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    
    @IBAction func createNewAccount(_ sender: Any) {
        
        if txtUserName.textNoNil().isEmpty ||
            txtPassword.textNoNil().isEmpty ||
            txtPhone.textNoNil().isEmpty ||
            txtRePassword.textNoNil().isEmpty {
            
            showErrorWithMessage(message: "بعض الحقول المطلوبة فارغة")
            return
            
        }
        
        if txtPassword.textNoNil() != txtRePassword.textNoNil() {
            showErrorWithMessage(message: "كلمات المرور لم تتطابق")
            return
        }
        
        let parameter = ["name": txtUserName.textNoNil() ,
                         "mobile" : txtPhone.textNoNil() ,
                         "password" : txtPassword.textNoNil() ,
                         "type" : "user" ] as [String : AnyObject]
        
        print("parameter >>> \(parameter)")
        
        RestAPIRequest.SendRequest(mod: LoginUser.self, urlPath: APIRoutes.signup.link, method: .post, parameter: parameter) { (response) in
            switch response {
                
            case .success(let model):
                if model.value! {
                    
                    UserDefaults.standard.set("\(model.data!.id!)", forKey: "id")
                    UserDefaults.standard.set("\(model.data!.type!)", forKey: "type")
                    
                    print(model.data!.id!)
                    print(model.data!.type!)
                    //===================================
                    
                        var centerVC : UIViewController!
                        
                        centerVC = self.getViewControllerFromStroyBoard(StoryBoard: "Main", bund: nil, identifierVC: "mainViewController") as! mainViewController
                    
                    let navHome = UINavigationController.init(rootViewController: centerVC)
                    
                    let rightMenu = self.getViewControllerFromStroyBoard(StoryBoard: "Main", bund: nil, identifierVC: "SideMenuViewController") as! SideMenuViewController
                    
                    centerVC.addRightBarButtonWithImage(UIImage.init(named: "sidebar")!)
                    
                    
                    let menu = SlideMenuController.init(mainViewController: navHome,  rightMenuViewController: rightMenu)
                    
                    self.present(menu, animated: true, completion: nil)
    
                    //===================================
                    
                }else{
                    self.showErrorWithMessage(message: model.msg ?? "some thing wrong please try again later")
                }
            case .failure(let error):
                self.showErrorWithMessage(message: (error?.localizedDescription)!)
                
            }
        }
        
        
        
    }
    
    @IBAction func backToLoginScreen(_ sender: Any) {
 
        self.dismiss(animated: true, completion: nil)

    }
    
}
