//
//  HomeModel.swift
//  LastVersionOfThemar
//
//  Created by mohamed loves hassun and nasif on 6/3/18.
//  Copyright © 2018 mohamed loves hassun and nasif. All rights reserved.
//

import Foundation

struct BuildingList: Codable {
    let value: Bool?
    let data: [Buildings]?
}

struct Buildings: Codable {
    let id: String?
    let favourite:Bool?
    let hiring:Bool?
    let start_period, end_period, rent, is_flat: String?
    let image, owner_name, building_name, city_name: String?
    let district_name, status_name: String?
}

extension BuildingList {
    init(data: Data) throws {
        self = try JSONDecoder().decode(BuildingList.self, from: data)
    }
    
    init(_ json: String, using encoding: String.Encoding = .utf8) throws {
        guard let data = json.data(using: encoding) else {
            throw NSError(domain: "JSONDecoding", code: 0, userInfo: nil)
        }
        try self.init(data: data)
    }
    
    init(fromURL url: URL) throws {
        try self.init(data: try Data(contentsOf: url))
    }
    
    func jsonData() throws -> Data {
        return try JSONEncoder().encode(self)
    }
    
    func jsonString(encoding: String.Encoding = .utf8) throws -> String? {
        return String(data: try self.jsonData(), encoding: encoding)
    }
}

extension Buildings {
    init(data: Data) throws {
        self = try JSONDecoder().decode(Buildings.self, from: data)
    }
    
    init(_ json: String, using encoding: String.Encoding = .utf8) throws {
        guard let data = json.data(using: encoding) else {
            throw NSError(domain: "JSONDecoding", code: 0, userInfo: nil)
        }
        try self.init(data: data)
    }
    
    init(fromURL url: URL) throws {
        try self.init(data: try Data(contentsOf: url))
    }
    
    func jsonData() throws -> Data {
        return try JSONEncoder().encode(self)
    }
    
    func jsonString(encoding: String.Encoding = .utf8) throws -> String? {
        return String(data: try self.jsonData(), encoding: encoding)
    }
}
